Package com.saxonica.ee.bytecode.iter

## Class CompiledBlockIterator

- java.lang.Object
- - com.saxonica.ee.bytecode.iter.CompiledBlockIterator

- All Implemented Interfaces:
    `java.io.Closeable`, `java.lang.AutoCloseable`, `SequenceIterator`

      public abstract class CompiledBlockIterator
      extends java.lang.Object
      implements SequenceIterator

  Iterate over the instructions in the Block, concatenating the result of each instruction into a single combined sequence.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.sf.saxon.om.SequenceIterator

      `SequenceIterator.Property`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected XPathContext` | `context` |
    `protected SequenceIterator` | `currentIterator` |
    `protected int` | `state` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CompiledBlockIterator()` |
    `CompiledBlockIterator​(XPathContext context)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `XPathContext` | `getContext()` |
    `abstract Item` | `next()` | Get the next item in the sequence.
    `void` | `setContext​(XPathContext context)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.om.SequenceIterator

      `close, forEachOrFail, getProperties, materialize`

- - ### Field Detail

    - #### state

          protected int state

    - #### context

          protected XPathContext context

    - #### currentIterator

          protected SequenceIterator currentIterator

  - ### Constructor Detail

    - #### CompiledBlockIterator

          public CompiledBlockIterator()

    - #### CompiledBlockIterator

          public CompiledBlockIterator​(XPathContext context)

  - ### Method Detail

    - #### getContext

          public XPathContext getContext()

    - #### setContext

          public void setContext​(XPathContext context)

    - #### next

          public abstract Item next()
                             throws XPathException

      Get the next item in the sequence.
      Specified by:
        `next` in interface `SequenceIterator`
      Returns:
        the next item, or null if there are no more items.
      Throws:
        `XPathException` - if an error occurs retrieving the next item